org.apache.ode.bpel.explang

## Class TypeCastException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ode.bpel.explang.EvaluationException
      - - org.apache.ode.bpel.explang.TypeCastException

- All Implemented Interfaces:
    java.io.Serializable

      public class TypeCastException
      extends EvaluationException

  A `EvaluationException` indicating a type conversion error.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `TYPE_BOOLEAN`
    `static short` | `TYPE_DATE`
    `static short` | `TYPE_DURATION`
    `static short` | `TYPE_NODE`
    `static short` | `TYPE_NODELIST`
    `static short` | `TYPE_NUMBER`
    `static short` | `TYPE_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeCastException(short type, java.lang.String val)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getToType()`
    `java.lang.String` | `getVal()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_STRING

          public static final short TYPE_STRING

      See Also:
        Constant Field Values

    - #### TYPE_DATE

          public static final short TYPE_DATE

      See Also:
        Constant Field Values

    - #### TYPE_DURATION

          public static final short TYPE_DURATION

      See Also:
        Constant Field Values

    - #### TYPE_NODELIST

          public static final short TYPE_NODELIST

      See Also:
        Constant Field Values

    - #### TYPE_BOOLEAN

          public static final short TYPE_BOOLEAN

      See Also:
        Constant Field Values

    - #### TYPE_NODE

          public static final short TYPE_NODE

      See Also:
        Constant Field Values

    - #### TYPE_NUMBER

          public static final short TYPE_NUMBER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TypeCastException

          public TypeCastException(short type,
                                   java.lang.String val)

  - ### Method Detail

    - #### getToType

          public short getToType()

    - #### getVal

          public java.lang.String getVal()